Skip to content
BleemeoBleemeo

Update a metric annotation

PUT
/v1/metricannotation/{id}/
curl --request PUT \
--url https://example.com/v1/metricannotation/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "end_time": "2026-04-15T12:00:00Z", "feedback_is_true_positive": true, "metric": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "outage": true, "start_time": "2026-04-15T12:00:00Z", "title": "example", "type": 1 }'

Replace all fields of an existing metric annotation.

id
required
string format: uuid

A UUID string identifying this metric annotation.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
description
string
end_time
string format: date-time
nullable
feedback_author
required
string format: uuid
nullable
feedback_at
required
string format: date-time
nullable
feedback_is_true_positive
boolean
nullable
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
nullable
title
required
string
<= 100 characters
type
required
  • 1 - User defined
  • 2 - Anomaly prediction
integer
>= -2147483648 <= 2147483647
Allowed values: 1 2
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
description
string
end_time
string format: date-time
nullable
feedback_author
required
string format: uuid
nullable
feedback_at
required
string format: date-time
nullable
feedback_is_true_positive
boolean
nullable
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
nullable
title
required
string
<= 100 characters
type
required
  • 1 - User defined
  • 2 - Anomaly prediction
integer
>= -2147483648 <= 2147483647
Allowed values: 1 2
Example
{
"type": 1
}